---
title: 'Location: assign()'
slug: Web/API/Location/assign
tags:
  - API
  - HTML-DOM
  - Location
  - Method
  - Reference
---
<div>{{ APIRef("HTML DOM") }}</div>

<p>The <code><strong>Location.assign()</strong></code> method causes the window to load and display the document at the URL specified. After the navigation occurs, the user can navigate back to the page that called <code>Location.assign()</code> by pressing the "back" button.</p>

<p>If the assignment can't happen because of a security violation, a {{domxref("DOMException")}} of the <code>SECURITY_ERROR</code> type is thrown. This happens if the origin of the script calling the method is different from the origin of the page originally described by the {{domxref("Location")}} object, mostly when the script is hosted on a different domain.</p>

<p>If the provided URL is not valid, a {{domxref("DOMException")}} of the <code>SYNTAX_ERROR</code> type is thrown.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><em>location</em>.assign(<em>url</em>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>url</code></dt>
 <dd>Is a {{domxref("DOMString")}} containing the URL of the page to navigate to.</dd>
</dl>

<h2 id="Example">Example</h2>

<pre class="brush: js notranslate">// Navigate to the Location.reload article
window.location.assign('https://developer.mozilla.org/en-US/docs/Web/API/Location/reload');</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "history.html#dom-location-assign", "Location.assign()")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>No change from {{SpecName("HTML5 W3C")}}.</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', "browsers.html#dom-location-assign", "Location.assign()")}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Location.assign")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("Location")}} interface it belongs to.</li>
 <li>Similar methods: {{domxref("Location.replace()")}} and {{domxref("Location.reload()")}}.</li>
</ul>
